APIUser connections
Get user connection
Get a user connection by ID.
GET
Get a user connection by ID.
ApiKeyAuthheader
AuthorizationBearer <token>Bearer token authentication. Send an API key (a saai_api_-prefixed token) as Authorization: Bearer <token>.
Required permission
manage_connectionsconnection_id*stringFormat
uuidThe request has succeeded.
application/json- response
id*uuidFormat
uuidmcp_id*uuidFormat
uuidstatus*UserMcpConnectionStatusWhether a user's connection to a resource is usable.
Value in
"active""expired""revoked"user_authorization*McpUserAuthorizationHow this user's access was obtained. Differs from the resource's current setting until the user reconnects.
Value in
"interactive""id_jag"granted_scopes*array<string>Scopes the user granted when they connected.
created_at*stringFormat
date-timelast_used_at?stringWhen the connection was last used to make a call.
Format
date-timelast_refreshed_at?stringWhen the connection's access was last renewed.
Format
date-timecurl -X GET 'https://your-org.aisecurity.services.us.connect.secureauth.com/api/v1/user/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08'Example Response
{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "mcp_id": "92dad337-069f-4a18-a93d-2e7f16082ffb", "status": "active", "user_authorization": "interactive", "granted_scopes": [ "string" ], "created_at": "2019-08-24T14:15:22Z", "last_used_at": "2019-08-24T14:15:22Z", "last_refreshed_at": "2019-08-24T14:15:22Z"}